- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoBitVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity > Class Template Reference

This class is an implementationeo of a simple bit-valued moeoVector. More...

`#include <moeoBitVector.h>`

Inheritance diagram for moeoBitVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >:

List of all members.

## Public Member Functions
| moeoBitVector (unsigned int _size=0, bool _value=false)
| Ctor.
virtual std::string | className () const
| Returns the class name as a std::string.
virtual void | printOn (std::ostream &_os) const
| Writing object.
virtual void | readFrom (std::istream &_is)
| Reading object.

## Detailed Description

### template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>
class moeoBitVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >

This class is an implementationeo of a simple bit-valued moeoVector.

Definition at line 22 of file moeoBitVector.h.

## Constructor & Destructor Documentation

template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>

moeoBitVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >::moeoBitVector | ( | unsigned int | _size = `0`,
|  | bool | _value = `false` |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _size | Length of vector (default is 0)
  | _value | Initial value of all elements (default is default value of type GeneType)

Definition at line 37 of file moeoBitVector.h.

## Member Function Documentation

template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>

virtual void moeoBitVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >::printOn | ( | std::ostream & | _os | ) | const`[inline, virtual]`

Writing object.

Parameters:

  | _os | output stream

Reimplemented from moeoVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity, bool >.

Definition at line 54 of file moeoBitVector.h.

template<class MOEOObjectiveVector, class MOEOFitness, class MOEODiversity>

virtual void moeoBitVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity >::readFrom | ( | std::istream & | _is | ) | `[inline, virtual]`

Reading object.

Parameters:

  | _is | input stream

Reimplemented from moeoVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity, bool >.

Definition at line 67 of file moeoBitVector.h.

The documentation for this class was generated from the following file:

- moeoBitVector.h